<template>
  <div class="blok_card">
    <div class="card">
      <div class="info">
        <img
          class="img_info"
          :src="manga.images.jpg.image_url"
          :alt="manga.title_english"
        />
      </div>
      <div class="description">
        <div class="title">
          <div>{{ manga.title_english }}</div>
          <div>({{ manga.title_japanese }})</div>
          <div>{{ manga.published.string }}</div>
        </div>
        <p>{{ manga.type }} {{ manga.title }} - {{ manga.score }}</p>
        <p
          v-for="serialization in manga.serializations"
          :key="serialization.mal_id"
        >
          Serialization - {{ serialization.name }}
        </p>
        <p>Chapters {{ manga.chapters }}</p>
        <div>
          <p>Genres</p>
          <div class="categorie_blok">
            <p v-for="genre in manga.genres" :key="genre.mal_id">
              {{ genre.name }}
            </p>
          </div>
        </div>
        <p>Status {{ manga.status }}</p>
        <p v-for="author in manga.authors" :key="author.mal_id">
          Authors - {{ author.name }}
        </p>
        <div class="collapse_card">
          <vs-collapse>
            <vs-collapse-item icon-arrow="arrow_downward">
              <template v-slot:header>
                <div class="slot_text">Show description</div>
              </template>
              <div class="info_collapse">
                <p class="synopsis_text text_size">{{ manga.synopsis }}</p>
                <p class="text_size">{{ manga.background }}</p>
              </div>
            </vs-collapse-item>
          </vs-collapse>
        </div>
      </div>
    </div>
  </div>
</template>
  
<script>
export default {
  props: {
    manga: {
      type: Object,
      default: {},
    }
  },
}
</script>
